Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_LRU_Connection_Purging_Strategy Class Reference

The Least Recently Used connection purging strategy. More...

`#include <LRU_Connection_Purging_Strategy.h>`

Inheritance diagram for TAO_LRU_Connection_Purging_Strategy:

[legend]
Collaboration diagram for TAO_LRU_Connection_Purging_Strategy:

[legend]
List of all members.

## Public Member Functions
| TAO_LRU_Connection_Purging_Strategy (int cache_maximum)
| The constructor.
virtual | ~TAO_LRU_Connection_Purging_Strategy (void)
| The destructor.
virtual void | update_item (TAO_Transport *transport)
| Called when accessing an item from the cache.
## Private Attributes
unsigned long | order_
| The ordering information for each transport in the cache.

## Detailed Description

The Least Recently Used connection purging strategy.

This class maintains it's own count which is applied to the item passed in. This way, the least recently used transport has the smallest ordering number and will therefore be purged first.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_LRU_Connection_Purging_Strategy::TAO_LRU_Connection_Purging_Strategy | ( | int | cache_maximum | ) |

| The constructor.

TAO_LRU_Connection_Purging_Strategy::~TAO_LRU_Connection_Purging_Strategy | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

void TAO_LRU_Connection_Purging_Strategy::update_item | ( | TAO_Transport * | transport | ) | `[virtual]`

| Called when accessing an item from the cache. Implements TAO_Connection_Purging_Strategy.

## Member Data Documentation

unsigned long TAO_LRU_Connection_Purging_Strategy::order_`[private]`

| The ordering information for each transport in the cache.

The documentation for this class was generated from the following files:

- LRU_Connection_Purging_Strategy.h
- LRU_Connection_Purging_Strategy.cpp